@import url('custom-styles.css');

.mud-stepper-custom .mud-card-actions {
    justify-content: end;
}

.mud-stepper-custom .mud-stepper-nav {
    overflow: visible !important;
}

.mud-stepper-custom {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.mud-stepper-custom .mud-stepper-content {
    flex: 1 1 auto;
    min-height: 0;
}

/* Make the snackbar wrapper transparent so your UserTip provides the visuals */
.user-tip-snackbar.mud-snackbar {
    background: transparent !important;
    box-shadow: none !important;
    padding: 0 !important;
}

/* Remove inner spacing so your MudPaper aligns nicely */
.user-tip-snackbar .mud-snackbar-content {
    background: transparent !important;
    box-shadow: none !important;
    padding: 0 !important;
}

.user-tip-snackbar{
    max-width: 650px;
    margin-top:0px!important;
}


/* Generic wrapper class for a table with an overlay */
.row-overlay-wrapper {
    position: relative;
}

.row-overlay-wrapper:has(.row-overlay-error) {
    pointer-events: none;
}
.row-overlay-wrapper:has(.row-overlay) {
    pointer-events: none;
}

.row-overlay-error {
    background-color: var(--mud-bg-light-error) !important;
}

/*Order exapnsion panels*/
.order-expansions .mud-expand-panel-header {
    padding: 12px;
}
.order-expansions .mud-expand-panel-icon {
    background: var(--mud-palette-gray-lighter);
    border-radius: 12px;
    margin-left: 8px;
}

/*Custom select*/
.mud-select-primary, .mud-select-gray {
    padding: 4px !important;
}
.mud-select-primary .mud-input-control-input-container {
    border-radius: 8px;
    justify-content: center;
    height: 42px;
    border: 1px solid var(--mud-bg-light-primary);
    background: var(--mud-bg-lighter-primary);
    box-shadow: 0 0 2px 3px rgba(108, 93, 211, 0.03);
}
.mud-select-primary:hover .mud-input-control-input-container {
    background: var(--mud-bg-light-primary) !important;
    transition: background ease-in-out 0.3s;
}
.mud-select-primary .mud-input, .mud-select-primary .mud-icon-root {
    color: var(--mud-palette-primary);
}
.mud-select-primary .mud-input-outlined-border {
    border: none !important;
}
.mud-select-gray .mud-input-control-input-container {
    border-radius: 8px;
    justify-content: center;
    height: 42px;
    background: var(--mud-palette-gray-lighter) !important;
    border: 1px solid var(--mud-palette-lines-default);
    box-shadow: 0 0 2px 3px rgba(108, 93, 211, 0.03);
}
.mud-select-gray .mud-input-control-input-container:hover {
    background: var(--mud-palette-gray-light) !important;
    transition: background ease-in-out 0.3s;
}
.mud-select-gray .mud-input, .mud-select-gray .mud-icon-root {
    color: var(--mud-text-title);
}
.mud-select-gray .mud-input-outlined-border {
    border: none !important;
}
.invalid-select-field .mud-input-control-input-container {
    background: var(--mud-bg-lighter-error) !important;
    border: 1px solid #d32f2f !important;
    animation: border ease-in-out 0.3s;
}

/*Custom buttons*/
.mud-buton-primary-light {
    border-radius: 8px;
    justify-content: center;
    height: 42px;
    border: 1px solid var(--mud-bg-light-primary);
    background: var(--mud-bg-lighter-primary)!important;
    box-shadow: 0 0 2px 3px rgba(108, 93, 211, 0.03);
    padding-right: 12px;
    padding-left: 12px;
    color: var(--mud-palette-primary) !important;
}
.mud-buton-primary-light:hover {
    background: var(--mud-bg-light-primary) !important;
    transition: background ease-in-out 0.3s;
}